//
//  Demo_2Tests.m
//  Demo 2Tests
//
//  Created by Max Seelemann on 14.09.2018.
//  Copyright © 2018 Ulysses. All rights reserved.
//

#import <XCTest/XCTest.h>

@interface Demo_2Tests : XCTestCase

@end

@implementation Demo_2Tests

- (void)testExample
{
	NSTextView *textView = [NSTextView new];
	
	// Prepare Text View
	textView.string = @"Go Macoun FTW";
	textView.selectedRange = NSMakeRange(3, 6);
	
	// Test dumb copy
	textView.smartInsertDeleteEnabled = NO;
	[textView cut: nil];
	XCTAssertEqualObjects(textView.string, @"Go  FTW");
	
	// Prepare Text View
	textView.string = @"Go Macoun FTW";
	textView.selectedRange = NSMakeRange(3, 6);
	
	// Test *SMART* copy
	textView.smartInsertDeleteEnabled = YES;
//	textView.selectionGranularity = NSSelectByWord;
	[textView cut: nil];
	XCTAssertEqualObjects(textView.string, @"Go FTW");
}

@end
